Page MenuHomePhabricator

Call to a member function bitAnd() on a non-object (null) in LogPager, so Special:Log doesn't work
Closed, ResolvedPublic

Description

Spotted in production: Call to a member function bitAnd() on a non-object (null)

Urls look like: /wiki/Special:Log/...

Stacktrace:

#0 /srv/mediawiki/php-1.31.0-wmf.10/includes/logging/LogPager.php(186): LogPager->enforcePerformerRestrictions()
#1 /srv/mediawiki/php-1.31.0-wmf.10/includes/logging/LogPager.php(79): LogPager->limitPerformer(string)
#2 /srv/mediawiki/php-1.31.0-wmf.10/includes/specials/SpecialLog.php(183): LogPager->__construct(LogEventsList, string, string, string, boolean, array, NULL, NULL, string, string)
#3 /srv/mediawiki/php-1.31.0-wmf.10/includes/specials/SpecialLog.php(109): SpecialLog->show(FormOptions, array)
#4 /srv/mediawiki/php-1.31.0-wmf.10/includes/specialpage/SpecialPage.php(522): SpecialLog->execute(string)
#5 /srv/mediawiki/php-1.31.0-wmf.10/includes/specialpage/SpecialPageFactory.php(578): SpecialPage->run(string)
#6 /srv/mediawiki/php-1.31.0-wmf.10/includes/MediaWiki.php(287): SpecialPageFactory::executePath(Title, RequestContext)
#7 /srv/mediawiki/php-1.31.0-wmf.10/includes/MediaWiki.php(851): MediaWiki->performRequest()
#8 /srv/mediawiki/php-1.31.0-wmf.10/includes/MediaWiki.php(523): MediaWiki->main()
#9 /srv/mediawiki/php-1.31.0-wmf.10/index.php(43): MediaWiki->run()
#10 /srv/mediawiki/w/index.php(3): include(string)
#11 {main}

Event Timeline

demon created this task.Nov 28 2017, 9:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2017, 9:14 PM

Is that's what's causing Internal error: [Wh3lgQpAAEEAABx4NOIAAABL] 2017-11-28 22:38:57: Fatal exception of type "BadMethodCallException" on e.g. https://www.mediawiki.org/wiki/Special:Log/Foo ?

Is that's what's causing Internal error: [Wh3lgQpAAEEAABx4NOIAAABL] 2017-11-28 22:38:57: Fatal exception of type "BadMethodCallException" on e.g. https://www.mediawiki.org/wiki/Special:Log/Foo ?

Yep that's it

Jdforrester-WMF renamed this task from Call to a member function bitAnd() on a non-object (null) in LogPager to Call to a member function bitAnd() on a non-object (null) in LogPager, so Special:Log doesn't work.Nov 28 2017, 10:50 PM

Probably higher than Normal then. :-(

demon raised the priority of this task from Normal to High.Nov 28 2017, 10:55 PM

Yeah, good point. Should just be a straight revert?

Reading the commit I can't quite see how it breaks, however.

Adding author and committer from that change. Thoughts?

Change 393964 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@master] Fix undefined $db

https://gerrit.wikimedia.org/r/393964

Change 393965 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@wmf/1.31.0-wmf.10] Fix undefined $db

https://gerrit.wikimedia.org/r/393965

Change 393965 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.10] Fix undefined $db

https://gerrit.wikimedia.org/r/393965

Mentioned in SAL (#wikimedia-operations) [2017-11-29T00:33:16Z] <reedy@tin> Synchronized php-1.31.0-wmf.10/includes/logging/LogPager.php: Fix fatal on Special:Log T181565 (duration: 00m 48s)

Change 393964 merged by jenkins-bot:
[mediawiki/core@master] Fix undefined $db

https://gerrit.wikimedia.org/r/393964

Reedy closed this task as Resolved.Nov 29 2017, 12:57 AM
Reedy claimed this task.
Reedy removed a project: Patch-For-Review.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM